2 Replies Latest reply on Mar 29, 2013 7:32 AM by rasta

    Metasploit doesn't work with ruby 2.0.0-p0 ?

      I work in Archlinux and we just had to update ruby 1.9.3-p392 http://ftp.ruby-lang.org/pub/ruby/1.9/ruby-1.9.3-p392.tar.gzto ruby 2.0.0p0.
      metasploit doesn't work is this normal?


      should demote ruby?


      here is the crash:

      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::VERSION
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::OPENSSL_VERSION
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::OPENSSL_VERSION_NUMBER
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::OPENSSL_FIPS
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::Config::DEFAULT_CONFIG_FILE
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::PKCS7::Signer
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::PKCS7::TEXT
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::PKCS7::NOCERTS
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::PKCS7::NOSIGS
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::PKCS7::NOCHAIN
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::PKCS7::NOINTERN
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::PKCS7::NOVERIFY
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::PKCS7::DETACHED
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::PKCS7::BINARY
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::PKCS7::NOATTR
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::PKCS7::NOSMIMECAP
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::PKey::RSA::PKCS1_PADDING
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::PKey::RSA::SSLV23_PADDING
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::PKey::RSA::NO_PADDING
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::PKey::RSA::PKCS1_OAEP_PADDING
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::PKey::EC::NAMED_CURVE
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::SSL::SSLContext::SESSION_CACHE_OFF
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::SSL::SSLContext::SESSION_CACHE_CLIENT
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::SSL::SSLContext::SESSION_CACHE_SERVER
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::SSL::SSLContext::SESSION_CACHE_BOTH
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::SSL::SSLContext::SESSION_CACHE_NO_AUTO_CLEAR
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::SSL::SSLContext::SESSION_CACHE_NO_INTERNAL_LOOKUP
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::SSL::SSLContext::SESSION_CACHE_NO_INTERNAL_STORE
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::SSL::SSLContext::SESSION_CACHE_NO_INTERNAL
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::SSL::SSLContext::METHODS
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::SSL::VERIFY_NONE
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::SSL::VERIFY_PEER
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::SSL::VERIFY_FAIL_IF_NO_PEER_CERT
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::SSL::VERIFY_CLIENT_ONCE
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::SSL::OP_MICROSOFT_SESS_ID_BUG
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::SSL::OP_NETSCAPE_CHALLENGE_BUG
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::SSL::OP_NETSCAPE_REUSE_CIPHER_CHANGE_BUG
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::SSL::OP_SSLREF2_REUSE_CERT_TYPE_BUG
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::SSL::OP_MICROSOFT_BIG_SSLV3_BUFFER
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::SSL::OP_MSIE_SSLV2_RSA_PADDING
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::SSL::OP_SSLEAY_080_CLIENT_DH_BUG
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::SSL::OP_TLS_D5_BUG
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::SSL::OP_TLS_BLOCK_PADDING_BUG
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::SSL::OP_DONT_INSERT_EMPTY_FRAGMENTS
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::SSL::OP_ALL
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::SSL::OP_NO_SESSION_RESUMPTION_ON_RENEGOTIATION
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::SSL::OP_SINGLE_ECDH_USE
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::SSL::OP_SINGLE_DH_USE
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::SSL::OP_EPHEMERAL_RSA
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::SSL::OP_CIPHER_SERVER_PREFERENCE
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::SSL::OP_TLS_ROLLBACK_BUG
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::SSL::OP_NO_SSLv2
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::SSL::OP_NO_SSLv3
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::SSL::OP_NO_TLSv1
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::SSL::OP_NO_TLSv1_1
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::SSL::OP_NO_TLSv1_2
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::SSL::OP_NO_TICKET
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::SSL::OP_NO_COMPRESSION
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::SSL::OP_PKCS1_CHECK_1
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::SSL::OP_PKCS1_CHECK_2
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::SSL::OP_NETSCAPE_CA_DN_BUG
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::SSL::OP_NETSCAPE_DEMO_CIPHER_CHANGE_BUG
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::Name::DEFAULT_OBJECT_TYPE
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::Name::OBJECT_TYPE_TEMPLATE
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::Name::COMPAT
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::Name::RFC2253
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::Name::ONELINE
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::Name::MULTILINE
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::V_OK
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::V_ERR_UNABLE_TO_GET_ISSUER_CERT
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::V_ERR_UNABLE_TO_GET_CRL
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::V_ERR_UNABLE_TO_DECRYPT_CERT_SIGNATURE
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::V_ERR_UNABLE_TO_DECRYPT_CRL_SIGNATURE
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::V_ERR_UNABLE_TO_DECODE_ISSUER_PUBLIC_KEY
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::V_ERR_CERT_SIGNATURE_FAILURE
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::V_ERR_CRL_SIGNATURE_FAILURE
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::V_ERR_CERT_NOT_YET_VALID
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::V_ERR_CERT_HAS_EXPIRED
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::V_ERR_CRL_NOT_YET_VALID
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::V_ERR_CRL_HAS_EXPIRED
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::V_ERR_ERROR_IN_CERT_NOT_BEFORE_FIELD
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::V_ERR_ERROR_IN_CERT_NOT_AFTER_FIELD
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::V_ERR_ERROR_IN_CRL_LAST_UPDATE_FIELD
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::V_ERR_ERROR_IN_CRL_NEXT_UPDATE_FIELD
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::V_ERR_OUT_OF_MEM
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::V_ERR_DEPTH_ZERO_SELF_SIGNED_CERT
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::V_ERR_SELF_SIGNED_CERT_IN_CHAIN
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::V_ERR_UNABLE_TO_GET_ISSUER_CERT_LOCALLY
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::V_ERR_UNABLE_TO_VERIFY_LEAF_SIGNATURE
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::V_ERR_CERT_CHAIN_TOO_LONG
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::V_ERR_CERT_REVOKED
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::V_ERR_INVALID_CA
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::V_ERR_PATH_LENGTH_EXCEEDED
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::V_ERR_INVALID_PURPOSE
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::V_ERR_CERT_UNTRUSTED
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::V_ERR_CERT_REJECTED
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::V_ERR_SUBJECT_ISSUER_MISMATCH
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::V_ERR_AKID_SKID_MISMATCH
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::V_ERR_AKID_ISSUER_SERIAL_MISMATCH
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::V_ERR_KEYUSAGE_NO_CERTSIGN
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::V_ERR_APPLICATION_VERIFICATION
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::V_FLAG_CRL_CHECK
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::V_FLAG_CRL_CHECK_ALL
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::PURPOSE_SSL_CLIENT
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::PURPOSE_SSL_SERVER
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::PURPOSE_NS_SSL_SERVER
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::PURPOSE_SMIME_SIGN
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::PURPOSE_SMIME_ENCRYPT
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::PURPOSE_CRL_SIGN
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::PURPOSE_ANY
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::PURPOSE_OCSP_HELPER
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::TRUST_COMPAT
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::TRUST_SSL_CLIENT
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::TRUST_SSL_SERVER
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::TRUST_EMAIL
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::TRUST_OBJECT_SIGN
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::TRUST_OCSP_SIGN
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::TRUST_OCSP_REQUEST
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::DEFAULT_CERT_AREA
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::DEFAULT_CERT_DIR
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::DEFAULT_CERT_FILE
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::DEFAULT_CERT_DIR_ENV
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::DEFAULT_CERT_FILE_ENV
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::X509::DEFAULT_PRIVATE_DIR
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::OCSP::RESPONSE_STATUS_SUCCESSFUL
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::OCSP::RESPONSE_STATUS_MALFORMEDREQUEST
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::OCSP::RESPONSE_STATUS_INTERNALERROR
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::OCSP::RESPONSE_STATUS_TRYLATER
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::OCSP::RESPONSE_STATUS_SIGREQUIRED
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::OCSP::RESPONSE_STATUS_UNAUTHORIZED
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::OCSP::REVOKED_STATUS_NOSTATUS
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::OCSP::REVOKED_STATUS_UNSPECIFIED
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::OCSP::REVOKED_STATUS_KEYCOMPROMISE
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::OCSP::REVOKED_STATUS_CACOMPROMISE
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::OCSP::REVOKED_STATUS_AFFILIATIONCHANGED
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::OCSP::REVOKED_STATUS_SUPERSEDED
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::OCSP::REVOKED_STATUS_CESSATIONOFOPERATION
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::OCSP::REVOKED_STATUS_CERTIFICATEHOLD
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::OCSP::REVOKED_STATUS_REMOVEFROMCRL
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::OCSP::NOCERTS
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::OCSP::NOINTERN
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::OCSP::NOSIGS
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::OCSP::NOCHAIN
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::OCSP::NOVERIFY
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::OCSP::NOEXPLICIT
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::OCSP::NOCASIGN
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::OCSP::NODELEGATED
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::OCSP::NOCHECKS
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::OCSP::TRUSTOTHER
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::OCSP::RESPID_KEY
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::OCSP::NOTIME
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::OCSP::V_CERTSTATUS_GOOD
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::OCSP::V_CERTSTATUS_REVOKED
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::OCSP::V_CERTSTATUS_UNKNOWN
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::OCSP::V_RESPID_NAME
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::OCSP::V_RESPID_KEY
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::Engine::METHOD_RSA
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::Engine::METHOD_DSA
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::Engine::METHOD_DH
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::Engine::METHOD_RAND
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::Engine::METHOD_CIPHERS
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::Engine::METHOD_DIGESTS
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::Engine::METHOD_ALL
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::Engine::METHOD_NONE
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::ASN1::UNIVERSAL_TAG_NAME
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::ASN1::EOC
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::ASN1::BOOLEAN
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::ASN1::INTEGER
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::ASN1::BIT_STRING
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::ASN1::OCTET_STRING
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::ASN1::NULL
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::ASN1::OBJECT
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::ASN1::OBJECT_DESCRIPTOR
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::ASN1::EXTERNAL
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::ASN1::REAL
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::ASN1::ENUMERATED
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::ASN1::EMBEDDED_PDV
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::ASN1::UTF8STRING
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::ASN1::RELATIVE_OID
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::ASN1::SEQUENCE
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::ASN1::SET
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::ASN1::NUMERICSTRING
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::ASN1::PRINTABLESTRING
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::ASN1::T61STRING
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::ASN1::VIDEOTEXSTRING
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::ASN1::IA5STRING
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::ASN1::UTCTIME
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::ASN1::GENERALIZEDTIME
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::ASN1::GRAPHICSTRING
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::ASN1::ISO64STRING
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::ASN1::GENERALSTRING
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::ASN1::UNIVERSALSTRING
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::ASN1::CHARACTER_STRING
      /usr/lib/ruby/2.0.0/x86_64-linux/openssl.so: warning: already initialized constant OpenSSL::ASN1::BMPSTRING
      /usr/lib/ruby/2.0.0/openssl/cipher.rb:30: warning: already initialized constant OpenSSL::Cipher::AES
      /usr/lib/ruby/2.0.0/openssl/cipher.rb:30: warning: previous definition of AES was here
      /usr/lib/ruby/2.0.0/openssl/cipher.rb:30: warning: already initialized constant OpenSSL::Cipher::CAST5
      /usr/lib/ruby/2.0.0/openssl/cipher.rb:30: warning: previous definition of CAST5 was here
      /usr/lib/ruby/2.0.0/openssl/cipher.rb:30: warning: already initialized constant OpenSSL::Cipher::BF
      /usr/lib/ruby/2.0.0/openssl/cipher.rb:30: warning: previous definition of BF was here
      /usr/lib/ruby/2.0.0/openssl/cipher.rb:30: warning: already initialized constant OpenSSL::Cipher::DES
      /usr/lib/ruby/2.0.0/openssl/cipher.rb:30: warning: previous definition of DES was here
      /usr/lib/ruby/2.0.0/openssl/cipher.rb:30: warning: already initialized constant OpenSSL::Cipher::IDEA
      /usr/lib/ruby/2.0.0/openssl/cipher.rb:30: warning: previous definition of IDEA was here
      /usr/lib/ruby/2.0.0/openssl/cipher.rb:30: warning: already initialized constant OpenSSL::Cipher::RC2
      /usr/lib/ruby/2.0.0/openssl/cipher.rb:30: warning: previous definition of RC2 was here
      /usr/lib/ruby/2.0.0/openssl/cipher.rb:30: warning: already initialized constant OpenSSL::Cipher::RC4
      /usr/lib/ruby/2.0.0/openssl/cipher.rb:30: warning: previous definition of RC4 was here
      /usr/lib/ruby/2.0.0/openssl/cipher.rb:30: warning: already initialized constant OpenSSL::Cipher::RC5
      /usr/lib/ruby/2.0.0/openssl/cipher.rb:30: warning: previous definition of RC5 was here
      /usr/lib/ruby/2.0.0/openssl/cipher.rb:41: warning: already initialized constant OpenSSL::Cipher::AES128
      /usr/lib/ruby/2.0.0/openssl/cipher.rb:41: warning: previous definition of AES128 was here
      /usr/lib/ruby/2.0.0/openssl/cipher.rb:41: warning: already initialized constant OpenSSL::Cipher::AES192
      /usr/lib/ruby/2.0.0/openssl/cipher.rb:41: warning: previous definition of AES192 was here
      /usr/lib/ruby/2.0.0/openssl/cipher.rb:41: warning: already initialized constant OpenSSL::Cipher::AES256
      /usr/lib/ruby/2.0.0/openssl/cipher.rb:41: warning: previous definition of AES256 was here
      [-] ***
      [-] * WARNING: No database support: TypeError superclass mismatch for class Cipher
      [-] ***
      /usr/lib/ruby/2.0.0/openssl/cipher.rb:30: warning: already initialized constant OpenSSL::Cipher::AES
      /usr/lib/ruby/2.0.0/openssl/cipher.rb:30: warning: previous definition of AES was here
      /usr/lib/ruby/2.0.0/openssl/cipher.rb:30: warning: already initialized constant OpenSSL::Cipher::CAST5
      /usr/lib/ruby/2.0.0/openssl/cipher.rb:30: warning: previous definition of CAST5 was here
      /usr/lib/ruby/2.0.0/openssl/cipher.rb:30: warning: already initialized constant OpenSSL::Cipher::BF
      /usr/lib/ruby/2.0.0/openssl/cipher.rb:30: warning: previous definition of BF was here
      /usr/lib/ruby/2.0.0/openssl/cipher.rb:30: warning: already initialized constant OpenSSL::Cipher::DES
      /usr/lib/ruby/2.0.0/openssl/cipher.rb:30: warning: previous definition of DES was here
      /usr/lib/ruby/2.0.0/openssl/cipher.rb:30: warning: already initialized constant OpenSSL::Cipher::IDEA
      /usr/lib/ruby/2.0.0/openssl/cipher.rb:30: warning: previous definition of IDEA was here
      /usr/lib/ruby/2.0.0/openssl/cipher.rb:30: warning: already initialized constant OpenSSL::Cipher::RC2
      /usr/lib/ruby/2.0.0/openssl/cipher.rb:30: warning: previous definition of RC2 was here
      /usr/lib/ruby/2.0.0/openssl/cipher.rb:30: warning: already initialized constant OpenSSL::Cipher::RC4
      /usr/lib/ruby/2.0.0/openssl/cipher.rb:30: warning: previous definition of RC4 was here
      /usr/lib/ruby/2.0.0/openssl/cipher.rb:30: warning: already initialized constant OpenSSL::Cipher::RC5
      /usr/lib/ruby/2.0.0/openssl/cipher.rb:30: warning: previous definition of RC5 was here
      /usr/lib/ruby/2.0.0/openssl/cipher.rb:41: warning: already initialized constant OpenSSL::Cipher::AES128
      /usr/lib/ruby/2.0.0/openssl/cipher.rb:41: warning: previous definition of AES128 was here
      /usr/lib/ruby/2.0.0/openssl/cipher.rb:41: warning: already initialized constant OpenSSL::Cipher::AES192
      /usr/lib/ruby/2.0.0/openssl/cipher.rb:41: warning: previous definition of AES192 was here
      /usr/lib/ruby/2.0.0/openssl/cipher.rb:41: warning: already initialized constant OpenSSL::Cipher::AES256
      /usr/lib/ruby/2.0.0/openssl/cipher.rb:41: warning: previous definition of AES256 was here
      /usr/lib/ruby/2.0.0/openssl/cipher.rb:61:in `<class:Cipher>': superclass mismatch for class Cipher (TypeError)
              from /usr/lib/ruby/2.0.0/openssl/cipher.rb:22:in `<module:OpenSSL>'
             from /usr/lib/ruby/2.0.0/openssl/cipher.rb:21:in `<top (required)>'
              from /usr/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:45:in `require'
              from /usr/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:45:in `require'
              from /home/rasta/document/informatiques/PROGRAMMATION/Hacking/Framework/Metasploit_framework/framework/git/metasploit-framework/lib/fastlib.rb:374:in `require'
              from /usr/lib/ruby/2.0.0/openssl.rb:20:in `<top (required)>'
              from /usr/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:45:in `require'
              from /usr/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:45:in `require'
              from /home/rasta/document/informatiques/PROGRAMMATION/Hacking/Framework/Metasploit_framework/framework/git/metasploit-framework/lib/fastlib.rb:374:in `require'
              from /home/rasta/document/informatiques/PROGRAMMATION/Hacking/Framework/Metasploit_framework/framework/git/metasploit-framework/lib/msf/ui/console/driver.rb:144:in `initialize'
              from ./msfconsole:169:in `new'
              from ./msfconsole:169:in `<main>'